[users] Can't run meld 1.2.1 on CentOS 5.2

Dag Wieers dag at wieers.com
Mon Jul 7 21:51:33 CEST 2008


On Mon, 7 Jul 2008, Alfred von Campe wrote:

> Is anyone running meld successfully on CentOS 5.2?  I'm pretty sure it was 
> working before I upgraded from 5.1 to 5.2, but now I get the following error:
>
> Traceback (most recent call last):
> File "/usr/share/meld/meld", line 109, in ?
>   meldapp.main()
> File "/usr/share/meld/meldapp.py", line 876, in main
>   tab = app.append_diff(args)
> File "/usr/share/meld/meldapp.py", line 777, in append_diff
>   return self.append_filediff(paths)
> File "/usr/share/meld/meldapp.py", line 763, in append_filediff
>   self._append_page(doc, "tree-file-normal.png")
> File "/usr/share/meld/meldapp.py", line 740, in _append_page
>   nbl = NotebookLabel(icon, "", lambda b: self.try_remove_page(page))
> File "/usr/share/meld/meldapp.py", line 381, in __init__
>   image.set_tooltip_text(_("Close tab"))
> AttributeError: 'gtk.Image' object has no attribute 'set_tooltip_text'
>
> The meld package that is installed is meld-1.2-1.el5.rf.noarch.  I believe 
> this package was updated at the same time as the OS itself, so I don't know 
> if it's an OS issue or a package issue, but I thought I'd try this list 
> first.

You will have to downgrade to te previous version.

-- 
--   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]



More information about the users mailing list